<template>
  <div class="filterTable">
    <Filter @update="update">
      <template #default="{ reset }">
        <a-button class="selectBtn" @click="reset">重置</a-button>
      </template>
    </Filter>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { TypeAndTime } from '@/views/report/interface';
import Filter from '../../../components/filter/index.vue';

export default defineComponent({
  name: 'inventory-filter-table',
  components: {
    Filter
  },
  setup(props, context) {
    function update(value: TypeAndTime) {
      context.emit('update', value);
    }

    return {
      update,
    }
  },
})
</script>